-- 회원관리 위한 member(회원) 테이블 생성
create table member (
	num int primary key auto_increment,
	id varchar(20) not null,
	pass varchar(20) not null,
	name varchar(30) not null,
	age int not null,
	email varchar(30) not null,
	phone varchar(30) not null,
	unique key(id)
)

-- SQL(CRUD), JDBC
-- 검색
select * from member;

-- insert(생성)
insert into member (id, pass, name, age, email, phone)
values('admin', 'admin', '관리자', '30', 'abc@nave.com', '010-1111-1111');

insert into member (id, pass, name, age, email, phone)
values('admin2', 'admin2', '관리자친구', '30', 'abc22@nave.com', '010-1111-1112');

-- update(수정)
update member set age = 45, phone = '010-1234-5678'
where id = 'admin;'

-- delete(삭제)
delete from member 
where id = 'admin';

-- table 삭제
drop table member;